# Class: WMTS

## ol.tilegrid.WMTS

Set the grid pattern for sources accessing WMTS tiled-image servers.

#### new ol.tilegrid.WMTS(options) experimental

src/ol/tilegrid/wmtstilegrid.js, line 20

  Name | Type | Description
  --- | --- | ---
  `options` | WMTS options.
  Name | Type | Description
  --- | --- | ---
  `origin` | ol.Coordinate | undefined | optional Origin.
  `origins` | Array.<ol.Coordinate> | undefined | optional Origins.
  `resolutions` | Array.<number> | Resolutions.
  `matrixIds` | Array.<string> | matrix IDs.
  `tileSize` | number | undefined | optional Tile size.
  `tileSizes` | Array.<number> | undefined | optional Tile sizes.

### Extends

- ol.tilegrid.TileGrid

### Methods

#### getMatrixIds(){Array.<string>} experimental

src/ol/tilegrid/wmtstilegrid.js, line 58

  ##### Returns:

  MatrixIds.

#### getMinZoom(){number} inherited experimental

src/ol/tilegrid/tilegrid.js, line 145

  ##### Returns:

  Min zoom.

#### getOrigin(z){ol.Coordinate} inherited experimental

src/ol/tilegrid/tilegrid.js, line 155

  Name | Type | Description
  --- | --- | ---
  `z` | number | Z.

  ##### Returns:

  Origin.

#### getResolution(z){number} inherited experimental

src/ol/tilegrid/tilegrid.js, line 171

  Name | Type | Description
  --- | --- | ---
  `z` | number | Z.

  ##### Returns:

  Resolution.

#### getTileSize(z){number} inherited experimental

src/ol/tilegrid/tilegrid.js, line 369

  Name | Type | Description
  --- | --- | ---
  `z` | number | Z.

  ##### Returns:

  Tile size.